Subject: Re: [sieve] [draft-melnikov-sieve-external-lists] 3. Security Considerations, Paragraph 2

From: Alexey Melnikov <[email-masked]>
Date: Thu, 27 Aug 2009 23:13:51 +0100

Robert Burrell Donkin wrote:

><blockquote cite='http://www.ietf.org/id/draft-ietf-sieve-external-lists-00.txt'>
>   A failure to retrieve data due to the server storing the external
>   list membership being down or otherwise inaccessible may alter the
>   result of Sieve processing.  So implementations SHOULD treat a
>   temporary failure to retrieve or verify external list membership in
>   the same manner as a temporary failure to retrieve a Sieve script.
>   For example, if the Sieve script is stored in the Lightweight
>   Directory Access Protocol (LDAP) and the script can't be retrieved
>   when a message is processed, then the agent performing Sieve
>   processing can, for example, assume that the script doesn't exist or
>   delay message delivery until the script can be retrieved
>   successfully.  External list memberships should be treated as if they
>   are a part of the script itself, so a temporary failure to retrieve
>   them should be handled in the same way as a temporary failure to
>   retrieve the Sieve script itself.
></blockquote>
>
>how does this error handling behaviour improve security?
>  
>
This improves consistency of Sieve processing.
If there is WG consensus to change this, then I would argue we would 
need a mechanism to detect membership verification failures using a new 
test (or a modifier to existing one).

>what are the advantages of this new error handling language to that
>already established in RFC 5228?
>  
>